<?php

if (empty($_POST['submit'])) {

        echo '<div class="menu"><img src="images/t-new.png" alt="." />Ограничение доступа к директории' . "\n";
        echo '</div>' . "\n";
        echo '<div class="post"><form action="?func=diraccess.edit" method="post">' . "\n";
        echo 'Путь:<br />' . "\n";
        echo '<input name="name" /><br />' . "\n";
        echo 'Внимание! Путь нужно писать полностью, например: <b>/www/domain.ru/directory</b><br />' . "\n";
        echo '<input name="submit" type="submit" value="Создать" /><br />' . "\n";
        echo '</form>' . "\n";
        echo '</div>' . "\n";
        echo '<div class="menu"><img src="images/t-back.png" alt="." /><a href="?func=diraccess">Вернуться</a><br />' . "\n";
        echo '<img src="images/sb-menu.png" alt="." /><a href="?func=menu">Вернуться в меню</a>' . "\n</div>";
    } else {

        $content = api_query('https://' . $server . '/manager/ispmgr?func=diraccess.edit&name=' . urlencode($_POST['name']) . '&sok=ok&out=xml&auth=' . urlencode($_SESSION['auth']));
        $parse_xml = simplexml_load_string($content);
        if (isset($parse_xml->ok)) {
            echo '<div class="post"><div style="text-align:center">' . "\n";
            echo 'Операция успешна!<br />' . "\n";
            echo '<a href="?func=diraccess">Продолжить</a>' . "\n";
            echo '</div></div>' . "\n";
        } else {
            echo '<div class="post"><div style="text-align:center">' . "\n";
            echo 'Ошибка при выполнении операции!<br />' . "\n";
            echo '<a href="?func=diraccess">Продолжить</a>' . "\n";
            echo '</div></div>' . "\n";
        }
    }

?>